%define oname gnome-desktop

%define	api_version	3
%define api		3.0
%define lib_major	4

%define libname		%mklibname %{oname} %{api_version} %{lib_major}
%define libnamedev	%mklibname -d %{oname} %{api_version}
%define gi_libname	%mklibname %{oname}-gir %{api}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Package containing code shared among gnome-panel, gnome-session, nautilus, etc
Name:		%{oname}3
Version:	3.6.2
Release:	%mkrel 3
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
Source0:	http://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
URL:		http://www.gnome.org
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.21.3
BuildRequires:	pkgconfig(gio-2.0) >= 2.19.1
BuildRequires:	pkgconfig(glib-2.0) >= 2.19.1
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 0.1.4
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext) >= 1.2
BuildRequires:	pkgconfig(xrandr) >= 1.2
BuildRequires:	pkgconfig(xkeyboard-config)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	gtk-doc
BuildRequires:	scrollkeeper
BuildRequires:	gobject-introspection-devel >= 0.9.7
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	intltool >= 0.40.0
BuildRequires:	itstool
BuildRequires:	ldetect-lst
Requires:	ldetect-lst >= 0.1.282
Obsoletes:	%{name}-common < 2.91.92
Conflicts:	gnome-desktop-common < 2.32.1-2

%description
This package contains some data files and other shared components of the
GNOME user environment.

%package -n %{libname}
Summary:	%{summary}
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Provides:	%{_lib}%{oname}-3_2 = %{version}-%{release}
Obsoletes:	%{_lib}%{oname}-3_2 < %{version}-%{release}

%description -n %{libname}
This package contains an internal library
(libgnomedesktop) used to implement some portions of the GNOME
desktop.

%package -n %{gi_libname}
Summary:	GObject Introspection interface description for %{oname}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{_lib}gnome-desktop-3_0 < 3.1.2-2

%description -n %{gi_libname}
GObject Introspection interface description for %{oname}.

%package -n %{libnamedev}
Summary:	Static libraries, include files for %{oname}
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	%{gi_libname} = %{version}

%description -n %{libnamedev}
Static libraries, include files for internal library libgnomedesktop.

%prep
%setup -qn %{oname}-%{version}
%apply_patches

%build
%configure2_5x \
	--with-gnome-distributor="%{_vendor}" \
	--disable-scrollkeeper \
	--with-pnp-ids-path=%{_datadir}/misc/pnp.ids
%make

%install
%makeinstall_std 

%find_lang %{oname}-%{api}

for d in $(ls -1 %{buildroot}%{_datadir}/help/C); do
  %find_lang $d --with-help
  cat $d.lang >> %{oname}-%{api}.lang
done

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{oname}-%{api}.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/gnome/gnome-version.xml
%{_libexecdir}/gnome-rr-debug

%files -n %{libname}
%{_libdir}/libgnome-desktop-%{api_version}.so.%{lib_major}*

%files -n %{gi_libname}
%{_libdir}/girepository-1.0/GnomeDesktop-%{api}.typelib

%files -n %{libnamedev}
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/GnomeDesktop-%{api}.gir


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-3.mga3
+ Revision: 352091
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 cjw <cjw> 3.6.2-2.mga3
+ Revision: 341431
- fix filelist for libexecdir

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317476
- new version 3.6.2

* Wed Oct 17 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 307696
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0.1-1.mga3
+ Revision: 297814
- new version 3.6.0.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297022
- new version 3.6.0

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288157
- new version 3.5.91

* Wed Aug 22 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 283064
- new version 3.5.90

* Tue Aug 07 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279748
- package help files
- update file list
- br itstool
- new version 3.5.5

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271402
- new version 3.5.4

* Tue Jul 10 2012 anssi <anssi> 3.5.3-2.mga3
+ Revision: 269266
- add conflicts entry in gir subpackage due to a file move some time ago,
  to ensure smooth upgrade

* Tue Jun 26 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 264082
- update file list
- increase lib major
- br xkeyboard-config, xkbfile
- new version 3.5.3

* Mon May 14 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235665
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231038
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226813
- fix find_lang file list for sr@latin
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224333
- new version 3.3.92

* Mon Mar 05 2012 wally <wally> 3.3.91-1.mga2
+ Revision: 219090
- drop upstreamed patch
- new version 3.3.91

* Wed Feb 22 2012 ovitters <ovitters> 3.3.90-1.mga2
+ Revision: 212279
- new version

* Mon Feb 06 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205337
- new version 3.3.5

* Mon Jan 16 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 196971
- new version

* Tue Dec 20 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184914
- new version 3.3.3
- add P0 to fix linking

* Mon Nov 21 2011 wally <wally> 3.3.2-1.mga2
+ Revision: 170466
- new version 3.3.2

* Thu Oct 27 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 158666
- new version 3.3.1

* Sun Oct 16 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 155508
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148607
- new version 3.2.0

* Mon Sep 19 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 145731
- new version 3.1.92

* Mon Sep 05 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 138782
- new version 3.1.91

* Tue Aug 30 2011 fwang <fwang> 3.1.90.1-1.mga2
+ Revision: 136727
- new version 3.1.90.1
- new version 3.1.5

  + wally <wally>
    - change conflicts to obsoletes+provides to ensure the new lib gets installed
    - new version 3.1.4
    - fix libification
    - drop stale startup-notification dep

* Wed Jul 13 2011 wally <wally> 3.1.3-1.mga2
+ Revision: 123798
- new version 3.1.3
- clean .spec a bit

* Sat Jul 09 2011 cjw <cjw> 3.1.2-3.mga2
+ Revision: 121248
- rebuild for automatic typelib provides and deps

* Tue Jul 05 2011 cjw <cjw> 3.1.2-2.mga2
+ Revision: 118574
- put gobject introspection typelib in a separate subpackage

* Mon Jul 04 2011 dmorgan <dmorgan> 3.1.2-1.mga2
+ Revision: 118342
- Fix major
- Fix tarball name
- New version 3.1.2

* Tue Jun 28 2011 dmorgan <dmorgan> 3.0.2-5.mga2
+ Revision: 115513
- Do not provide gnome-desktop
  Add conflicts instead of obsoletes to allow to have gnome-desktop co-installable with gnome-desktop3

* Tue Jun 14 2011 dmorgan <dmorgan> 3.0.2-4.mga2
+ Revision: 106098
- Add Obsoletes to ease update

* Mon Jun 13 2011 cjw <cjw> 3.0.2-3.mga2
+ Revision: 105800
- fix gnome-desktop-common obsoletes

* Thu Jun 09 2011 dmorgan <dmorgan> 3.0.2-2.mga2
+ Revision: 102495
- Remove la files

* Wed Jun 08 2011 dmorgan <dmorgan> 3.0.2-1.mga2
+ Revision: 101686
- imported package gnome-desktop3

